Bug 166212 - [patch] Maintainer change and port upgrade for games/crossfire-client
Summary: [patch] Maintainer change and port upgrade for games/crossfire-client
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-18 01:00 UTC by Kevin Zheng
Modified: 2012-04-06 16:20 UTC (History)
0 users

See Also:


Attachments
file.diff (10.29 KB, patch)
2012-03-18 01:00 UTC, Kevin Zheng
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin Zheng 2012-03-18 01:00:23 UTC
The current version of the Crossfire client in the FreeBSD Ports collection is out of date (version 1.8). The current version is 1.60, and offers the ability to connect to the latest servers and play using the GTK2 client.

In addition, the current maintainer has explained that he does not intend to work on crossfire-client for the time being.

Fix: The patch to update the port is attached. This will update the Makefile and other patch files to build the 1.60 client. In addition, the maintainer will be changed.

Patch attached with submission follows:
How-To-Repeat: The current client in the ports tree is out of date. Simple 'make describe' in games/crossfire-client.
Comment 1 Edwin Groothuis freebsd_committer 2012-03-18 01:00:33 UTC
Maintainer of games/crossfire-client,

Please note that PR ports/166212 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/166212

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-03-18 01:00:36 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 Mark Daniel Reidel 2012-03-18 08:33:34 UTC
I agree on the patch and gladly pass on maintainership if wished.
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2012-03-18 09:28:52 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 5 Max Brazhnikov freebsd_committer 2012-03-19 17:51:55 UTC
Responsible Changed
From-To: freebsd-ports-bugs->makc

I'll take it.
Comment 6 dfilter service freebsd_committer 2012-04-06 16:12:41 UTC
makc        2012-04-06 15:12:29 UTC

  FreeBSD ports repository

  Modified files:
    games/crossfire-client Makefile distinfo pkg-descr 
  Added files:
    games/crossfire-client pkg-plist 
    games/crossfire-client/files patch-common__Makefile.in 
                                 patch-common__script.c 
                                 patch-configure 
  Removed files:
    games/crossfire-client/files patch-common-misc.c 
                                 patch-common-script.c 
  Log:
  Update to 1.60.0
  Pass maintainership to submitter
  
  PR:             ports/166212
  Submitted by:   Kevin Zheng <kevinz5000 at gmail.com>
  Approved by:    Mark Reidel (former maintaier)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.75      +17 -87    ports/games/crossfire-client/Makefile
  1.15      +2 -6      ports/games/crossfire-client/distinfo
  1.2       +0 -15     ports/games/crossfire-client/files/patch-common-misc.c (dead)
  1.2       +0 -10     ports/games/crossfire-client/files/patch-common-script.c (dead)
  1.1       +11 -0     ports/games/crossfire-client/files/patch-common__Makefile.in (new)
  1.1       +10 -0     ports/games/crossfire-client/files/patch-common__script.c (new)
  1.3       +11 -0     ports/games/crossfire-client/files/patch-configure (new)
  1.4       +7 -8      ports/games/crossfire-client/pkg-descr
  1.15      +19 -0     ports/games/crossfire-client/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Max Brazhnikov freebsd_committer 2012-04-06 16:13:33 UTC
State Changed
From-To: open->closed

Committed, with some changes. Thanks!